> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get volume by ID



## OpenAPI

````yaml openapi.json GET /api/volume/{id}
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/volume/{id}:
    get:
      tags:
        - Volumes
      summary: Get volume by ID
      parameters:
        - name: id
          in: path
          required: true
          description: Volume ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Volume details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Volume'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Volume:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        size:
          type: number
          description: Volume size in bytes.
        transferAmount:
          type: number
          description: Data transferred in bytes.
      required:
        - id
        - name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````